System.Web 2.0.0.0 System.Web.UI.PageStatePersister

ASP.NET pages can store state between the inherently stateless HTTP request and response required to process and serve any Web page. This state is called "view state". The default mechanism used to store view state for a page and its controls is in one or more <hidden> HTML fields included in the page that is served to a client from a Web server. The class can use the class to do this work. implements the and methods of the class so that the can store state in a <hidden> HTML element named "__VIEWSTATE" on a Web client. When the client requests the same page from the Web server (a postback), the <hidden> element is parsed and converted to state information by ASP.NET.

If the instance that is requested has an associated class, it retrieves the object from this adapter using the method. Adapters can override the method to return a object that stores page and control state in some way that a specific client supports. For example, the class stores page and controls' state on the Web server, instead of the client, to decrease the amount of information that must be sent and stored on a client that has potentially limited memory and bandwidth.

The maximum size of the "_VIEWSTATE" <hidden> HTML element can be set through the property or through the configuration setting. When this value is set and the length of the "_VIEWSTATE" element would exceed the maximum length, the content is divided into multiple "_VIEWSTATE" elements.

Stores ASP.NET page view state on the Web client in a hidden HTML element.

- Constructor
  To be added.

  Initializes a new instance of the class.

  The that the view state persistence mechanism is created for.
  2.0.0.0
- Method
  System.Void

  The class implements the method to load page and control state information from an incoming request to the Web server. The object accessed by the property is used to deserialize the data.

  Deserializes and loads persisted state information from an object when a object initializes its control hierarchy.

  2.0.0.0
- Method
  System.Void

  The implements the method to persist page and control state to a client by writing it to a <hidden> HTML element in the outgoing response to the client. The object accessed by the property is used to deserialize the data.

  Serializes any object state contained in the or property and writes the state to the response stream.

  2.0.0.0